//
//  AppDelegate.h
//  TwoTabBarDemo
//
//  Created by XinHuiOS on 2020/3/6.
//  Copyright © 2020 XinHuiOS. All rights reserved.
//

#import "RootTabBarController.h"
#import "FirstViewController.h"
#import "SecondViewController.h"
#import "ThirdViewController.h"
#import "FourthViewController.h"
#import "FifthViewController.h"

#import "SecondTabBarController.h"

@interface RootTabBarController ()<UITabBarControllerDelegate>

@end

@implementation RootTabBarController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.delegate = self;
    
    self.tabBar.translucent = NO;
    
    FirstViewController * firstVC = [[FirstViewController alloc] init];
    UINavigationController * firstNav = [[UINavigationController alloc] initWithRootViewController:firstVC];
    firstNav.tabBarItem.title = @"首页";
    [self addChildViewController:firstNav];
     
    SecondViewController * secondVC = [[SecondViewController alloc] init];
    UINavigationController * secondNav = [[UINavigationController alloc] initWithRootViewController:secondVC];
    secondNav.tabBarItem.title = @"产品";
    [self addChildViewController:secondNav];
    
    ThirdViewController * thirdVC = [[ThirdViewController alloc] init];
    UINavigationController * thirdNav = [[UINavigationController alloc] initWithRootViewController:thirdVC];
    thirdNav.tabBarItem.title = @"服务";
    [self addChildViewController:thirdNav];
    
    FourthViewController * fourthVC = [[FourthViewController alloc] init];
    UINavigationController * fourthNav = [[UINavigationController alloc] initWithRootViewController:fourthVC];
    fourthNav.tabBarItem.title = @"会员";
    [self addChildViewController:fourthNav];
    
    FifthViewController * fifthVC = [[FifthViewController alloc] init];
    UINavigationController * fifthNav = [[UINavigationController alloc] initWithRootViewController:fifthVC];
    fifthNav.tabBarItem.title = @"资产";
    [self addChildViewController:fifthNav];
}

- (BOOL)tabBarController:(UITabBarController *)tabBarController shouldSelectViewController:(UIViewController *)viewController {
    
    //4是泡泡页面
    if ([viewController isEqual:[tabBarController.viewControllers objectAtIndex:4]]) {
        
       SecondTabBarController  * vc = [[SecondTabBarController alloc] init];
        vc.hidesBottomBarWhenPushed = YES;

        UINavigationController * nav = tabBarController.viewControllers[tabBarController.selectedIndex];
        [nav pushViewController:vc animated:YES];
        
//        CATransition * ansition = [CATransition animation];
//        [ansition setDuration:0.25f];
//        [ansition setType:kCATransitionMoveIn];
//        [ansition setSubtype:kCATransitionFromRight];
//      //ios13之后 可以设置 弹出模式
//        [[UIApplication sharedApplication].keyWindow.layer addAnimation:ansition forKey:nil];
//        [self presentViewController:vc animated:NO completion:nil];
        
        return NO;
    }
    
    return YES;
}

@end
